import { useState } from 'react';

import Alert from './components/Alert';

function App() {
  const [showAlert, setShowAlert] = useState(false);

  function showAlertHandler() {
    // Stan można aktualizować przez przekazanie funkcji do setShowAlert,
    // ponieważ nowy stan zależy od wcześniejszego (jest jego odwrotnością).
    setShowAlert((isShowing) => !isShowing);
  }

  return (
    <>
      <button onClick={showAlertHandler}>
        {showAlert ? 'Ukryj' : 'Wyświetl'} informacje
      </button>
      {showAlert && <Alert />}
    </>
  );
}

export default App;
